// Created on $time$
// Template by -=Derrick=-
// http://www.joinuo.com

using System;
using Server;
using Server.Mobiles;

namespace Server.Mobiles
{
	[CorpseName( "a $itemname$ corpse" )]
	public class $safeitemname$ : BaseCreature
	{
		[Constructable]
		public $safeitemname$() : base( AIType.AI_Animal, FightMode.Aggressor, 10, 1, 0.2, 0.4 )
		{
			Name = "a $itemname$";
			Body = 0xC9; // cat
			Hue = Utility.RandomAnimalHue();
			BaseSoundID = 0x69;

			SetStr( 9 );
			SetDex( 35 );
			SetInt( 5 );

			SetHits( 6 );
			SetMana( 0 );

			SetDamage( 1 );

			SetDamageType( ResistanceType.Physical, 100 );

			SetResistance( ResistanceType.Physical, 5, 10 );

            //SetSkill( SkillName.MagicResist, 5.0 );
            //SetSkill( SkillName.Tactics, 4.0 );
            //SetSkill( SkillName.Wrestling, 5.0 );

			Fame = 0;
			Karma = 150;

			VirtualArmor = 8;

            //Tamable = true;
            //ControlSlots = 1;
            //MinTameSkill = -0.9;
		}

        //public override int Meat{ get{ return 1; } }

        public $safeitemname$(Serial serial) : base(serial)
		{
		}

		public override void Serialize(GenericWriter writer)
		{
			base.Serialize(writer);

			writer.Write((int) 0);
		}

		public override void Deserialize(GenericReader reader)
		{
			base.Deserialize(reader);

			int version = reader.ReadInt();
		}
	}
}